Subject: Re: bug#51384: 28.0.60; substitute-command-keys finds global binding for undo instead of in specified keymap

From: Robert Pluim <[email-masked]>
Date: Mon, 15 Nov 2021 18:48:00 +0100

>>>>> On Mon, 15 Nov 2021 19:25:16 +0200, Juri Linkov <[email-masked]> said:

    Andreas> On Okt 25 2021, Robert Pluim wrote:
    >> >> (substitute-command-keys "\\<undo-repeat-map>\\[undo]")
    >> >> => #("C-x u" 0 5 (face help-key-binding font-lock-face help-key-binding))
    >> 
    Andreas> :advertised-binding takes precedence.
    >> 
    >> So it does, which is unfortunate, underdocumented, and unnecessary,
    >> since just not specifying the map will get you the
    >> :advertised-binding anyway.
    >> 
    >> \\(map) anyone, to mean "really only look up in this map"?

    Juri> For readers of this bug report, here is a link to the discussion:
    Juri> https://lists.gnu.org/archive/html/emacs-devel/2021-10/msg01845.html

I have a change that will cause the lookups to happen in the specified
map first, but I still need to audit the 50 or so uses of a command
with an advertised binding in a docstring in the Emacs sources before
I can declare it safe.

Robert
--